curl --request POST \
--url https://production.trackstarhq.com/wms/orders/{order_id}/shipments \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '
{
"shipped_date": "2022-05-06T01:02:03Z",
"tracking_number": "<string>",
"tracking_url": "<string>",
"carrier_id": "fedex",
"shipping_method_id": "fedex_ground",
"shipping_cost": 2.5,
"measurements": {
"length": 1.5,
"width": 1.5,
"height": 1.5,
"unit": "in",
"weight": 2.5,
"weight_unit": "lb"
},
"warehouse_id": "warehouse_id",
"packages": [
{
"package_id": "package_id",
"tracking_number": "tracking_number"
}
]
}
'import requests
url = "https://production.trackstarhq.com/wms/orders/{order_id}/shipments"
payload = {
"shipped_date": "2022-05-06T01:02:03Z",
"tracking_number": "<string>",
"tracking_url": "<string>",
"carrier_id": "fedex",
"shipping_method_id": "fedex_ground",
"shipping_cost": 2.5,
"measurements": {
"length": 1.5,
"width": 1.5,
"height": 1.5,
"unit": "in",
"weight": 2.5,
"weight_unit": "lb"
},
"warehouse_id": "warehouse_id",
"packages": [
{
"package_id": "package_id",
"tracking_number": "tracking_number"
}
]
}
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
shipped_date: '2022-05-06T01:02:03Z',
tracking_number: '<string>',
tracking_url: '<string>',
carrier_id: 'fedex',
shipping_method_id: 'fedex_ground',
shipping_cost: 2.5,
measurements: {
length: 1.5,
width: 1.5,
height: 1.5,
unit: 'in',
weight: 2.5,
weight_unit: 'lb'
},
warehouse_id: 'warehouse_id',
packages: [{package_id: 'package_id', tracking_number: 'tracking_number'}]
})
};
fetch('https://production.trackstarhq.com/wms/orders/{order_id}/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "id",
"unused_fields": [
"<string>"
],
"data": {
"id": "order_id",
"warehouse_customer_id": "warehouse_customer_id",
"warehouse_id": "warehouse_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"reference_id": "order_reference_id",
"order_number": "order_number",
"status": "fulfilled",
"raw_status": "raw_status",
"channel_object": {
"channel_id": "channel_id",
"channel_name": "channel_name"
},
"type": "d2c",
"trading_partner": "Target",
"service_level": "Standard",
"shipping_method_id": "fedex_ground",
"shipping_method_name": "FedEx Ground",
"carrier_id": "fedex",
"carrier_name": "FedEx",
"scac": "<string>",
"is_third_party_freight": false,
"third_party_freight_account_number": "123456",
"first_party_freight_account_number": "123456",
"invoice_currency_code": "USD",
"total_price": 13.49,
"total_tax": 1.5,
"total_discount": 2.5,
"total_shipping": 3.5,
"ship_to_address": {
"full_name": "John Doe",
"company": "Company",
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States",
"phone_number": "123-456-7890",
"email_address": "johndoe@example.com"
},
"line_items": [
{
"product_id": "product_id",
"sku": "sku",
"quantity": 1,
"unit_price": 10.99,
"discount_amount": 1.5
}
],
"tags": [
"tag_0"
],
"required_ship_date": "2021-01-01T12:00:00Z",
"saturday_delivery": false,
"signature_required": false,
"international_duty_paid_by": "sender",
"shipments": [
{
"shipment_id": "shipment_id",
"warehouse_id": "wh_id",
"shipped_date": "2022-05-06T01:02:03Z",
"raw_status": "raw_status",
"status": "shipped",
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1,
"parent_product_id": null
}
],
"ship_to_address": {
"full_name": "John Doe",
"company": "company",
"address1": "address1",
"address2": "address2",
"address3": "address3",
"city": "city",
"state": "state",
"postal_code": "postal_code",
"country": "country"
},
"ship_from_address": {
"address1": "address1",
"address2": "address2",
"address3": "address3",
"city": "city",
"state": "state",
"postal_code": "postal_code",
"country": "country"
},
"packages": [
{
"package_id": "package_id",
"package_name": "package_name",
"tracking_number": "tracking_number",
"tracking_url": "tracking_url",
"shipping_method_id": "shipping_method_id",
"shipping_method_name": "shipping_method_name",
"carrier_id": "carrier_id",
"carrier_name": "carrier_name",
"scac": "scac",
"bill_of_lading": "bill_of_lading",
"sscc": "sscc",
"pro_number": "pro_number",
"shipping_cost": 1,
"measurements": {
"length": 1,
"width": 1,
"height": 1,
"unit": "in",
"weight": 1,
"weight_unit": "lb"
},
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1,
"lot_id": "lot_id",
"expiration_date": "2022-06-06T01:02:03Z",
"parent_product_id": null
}
]
}
]
}
],
"external_system_url": "https://example.com/order/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-11-07T05:31:56Z",
"trackstar_updated_date": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Ship Order
Marks the order as fulfilled and passes in the provided shipment and package information.
Get the required, optional, and integration specific fields by calling the integrations endpoint.
Headers
Your organization-level Trackstar API key.
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
"<x-trackstar-access-token>"
Path Parameters
Body
- Base Schema
- Cin7 Core (Dear Systems)
- Deposco
- Extensiv (3PL Central)
- Amazon
- Finale
- Infoplus
- Linnworks
- Logiwa
- Logiwa IO
- OIA Global
- Packiyo
- WMS Sandbox
- ShipHero
- ShipStation
- Linnworks Core (SKUVault)
The date the shipment was sent.
"2022-05-06T01:02:03Z"
The tracking number for the package.
The URL for the tracking number.
The ID of the carrier used to ship the order to the customer. If carrier_name is also provided, this will take precedence.
"fedex"
The ID of the actual shipping method used to ship the order. Can be passed into the Shipping Method endpoint for more details.. If shipping_method_name is also provided, this will take precedence.
"fedex_ground"
The cost incurred by the warehouse to ship the package.
2.5
Show child attributes
Show child attributes
A list of packages with their desired tracking numbers.
Show child attributes
Show child attributes
[
{
"package_id": "package_id",
"tracking_number": "tracking_number"
}
]